$Paths = @(
    "${Env:SystemDrive}\Users\Public\Desktop\TeamViewer 10 Host.lnk",
    "${Env:SystemDrive}\Users\Public\Desktop\TeamViewer 12 Host.lnk",
    "${Env:SystemDrive}\Users\Public\Desktop\TeamViewer 14 Host.lnk",
    "${Env:SystemDrive}\Users\Public\Desktop\TeamViewer Host.lnk" )

Foreach ( $path in $Paths )
{
    If ( Test-Path $path ) { Remove-Item $path -Force }
}